---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libstepBreakPopReturn.dylib'
relocations:
  - { offsetInCU: 0x96, offset: 0x96, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x3E500, symBinAddr: 0xC0D0, symSize: 0x0 }
  - { offsetInCU: 0xB4, offset: 0xB4, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x3E508, symBinAddr: 0xC0D8, symSize: 0x0 }
  - { offsetInCU: 0x8D01, offset: 0x8D01, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x3E510, symBinAddr: 0xC0E0, symSize: 0x0 }
  - { offsetInCU: 0x8D8A, offset: 0x8D8A, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x3E520, symBinAddr: 0xC0F0, symSize: 0x0 }
  - { offsetInCU: 0x8DA3, offset: 0x8DA3, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x3E528, symBinAddr: 0xC0F8, symSize: 0x0 }
  - { offsetInCU: 0x8DBC, offset: 0x8DBC, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x3E530, symBinAddr: 0xC100, symSize: 0x0 }
  - { offsetInCU: 0x8DD5, offset: 0x8DD5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x3E538, symBinAddr: 0xC108, symSize: 0x0 }
  - { offsetInCU: 0x8DEE, offset: 0x8DEE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x3E540, symBinAddr: 0xC110, symSize: 0x0 }
  - { offsetInCU: 0x8E08, offset: 0x8E08, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x3E548, symBinAddr: 0xC118, symSize: 0x0 }
  - { offsetInCU: 0x8E47, offset: 0x8E47, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x3E550, symBinAddr: 0xC120, symSize: 0x0 }
  - { offsetInCU: 0x8E52, offset: 0x8E52, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x3E554, symBinAddr: 0xC124, symSize: 0x0 }
  - { offsetInCU: 0x8E5D, offset: 0x8E5D, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x3E558, symBinAddr: 0xC128, symSize: 0x0 }
  - { offsetInCU: 0x8EA2, offset: 0x8EA2, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x3E560, symBinAddr: 0xC130, symSize: 0x0 }
  - { offsetInCU: 0x8F1B, offset: 0x8F1B, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x3E618, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x8F34, offset: 0x8F34, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x3E61C, symBinAddr: 0xC1EC, symSize: 0x0 }
  - { offsetInCU: 0x8F4D, offset: 0x8F4D, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x3E620, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x8F66, offset: 0x8F66, size: 0x8, addend: 0x0, symName: __ZL21gszDebuggeeMethodName, symObjAddr: 0xA368, symBinAddr: 0xC0B8, symSize: 0x0 }
  - { offsetInCU: 0x8F7F, offset: 0x8F7F, size: 0x8, addend: 0x0, symName: __ZL20gszDebuggeeClassName, symObjAddr: 0xA370, symBinAddr: 0xC0C0, symSize: 0x0 }
  - { offsetInCU: 0x8F98, offset: 0x8F98, size: 0x8, addend: 0x0, symName: __ZL21gIsDebuggerCompatible, symObjAddr: 0x3E624, symBinAddr: 0xC1F4, symSize: 0x0 }
  - { offsetInCU: 0x8FB8, offset: 0x8FB8, size: 0x8, addend: 0x0, symName: __ZL21gIsMethodEntryWorking, symObjAddr: 0x3E625, symBinAddr: 0xC1F5, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL20gIsSingleStepWorking, symObjAddr: 0x3E626, symBinAddr: 0xC1F6, symSize: 0x0 }
  - { offsetInCU: 0x8FF8, offset: 0x8FF8, size: 0x8, addend: 0x0, symName: __ZL20gIsBreakpointWorking, symObjAddr: 0x3E627, symBinAddr: 0xC1F7, symSize: 0x0 }
  - { offsetInCU: 0x9018, offset: 0x9018, size: 0x8, addend: 0x0, symName: __ZL14gErrorHappened, symObjAddr: 0x3E628, symBinAddr: 0xC1F8, symSize: 0x0 }
  - { offsetInCU: 0x9038, offset: 0x9038, size: 0x8, addend: 0x0, symName: __ZL9gJvmtiEnv, symObjAddr: 0x3E630, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0x9051, offset: 0x9051, size: 0x8, addend: 0x0, symName: __ZL16gIsBreakpointSet, symObjAddr: 0x3E638, symBinAddr: 0xC208, symSize: 0x0 }
  - { offsetInCU: 0x9071, offset: 0x9071, size: 0x8, addend: 0x0, symName: __ZL12gIsFirstCall, symObjAddr: 0x3E639, symBinAddr: 0xC209, symSize: 0x0 }
  - { offsetInCU: 0x90D1, offset: 0x90D1, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x3470, symSize: 0x30 }
  - { offsetInCU: 0x934B, offset: 0x934B, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0xE90, symBinAddr: 0x34A0, symSize: 0x10 }
  - { offsetInCU: 0x93AF, offset: 0x93AF, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0xEA0, symBinAddr: 0x34B0, symSize: 0x300 }
  - { offsetInCU: 0x973D, offset: 0x973D, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x1830, symBinAddr: 0x3A90, symSize: 0x110 }
  - { offsetInCU: 0x9833, offset: 0x9833, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x52A0, symBinAddr: 0x4F30, symSize: 0x4A0 }
  - { offsetInCU: 0x9A95, offset: 0x9A95, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x1940, symBinAddr: 0x3BA0, symSize: 0x150 }
  - { offsetInCU: 0x9BBC, offset: 0x9BBC, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x1700, symBinAddr: 0x3960, symSize: 0x130 }
  - { offsetInCU: 0x9D36, offset: 0x9D36, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x1A90, symBinAddr: 0x3CF0, symSize: 0x1B0 }
  - { offsetInCU: 0x9F31, offset: 0x9F31, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x11A0, symBinAddr: 0x37B0, symSize: 0x10 }
  - { offsetInCU: 0xA0AD, offset: 0xA0AD, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x13B0, symBinAddr: 0x37C0, symSize: 0x1A0 }
  - { offsetInCU: 0xA448, offset: 0xA448, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x4740, symBinAddr: 0x49D0, symSize: 0xB0 }
  - { offsetInCU: 0xA4A3, offset: 0xA4A3, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x47F0, symBinAddr: 0x4A80, symSize: 0x80 }
  - { offsetInCU: 0xA506, offset: 0xA506, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x4930, symBinAddr: 0x4BC0, symSize: 0x220 }
  - { offsetInCU: 0xA71A, offset: 0xA71A, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x1FC0, symBinAddr: 0x3EA0, symSize: 0xA0 }
  - { offsetInCU: 0xA780, offset: 0xA780, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x2210, symBinAddr: 0x3F40, symSize: 0x80 }
  - { offsetInCU: 0xA849, offset: 0xA849, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x2290, symBinAddr: 0x3FC0, symSize: 0x6A0 }
  - { offsetInCU: 0xB3FE, offset: 0xB3FE, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x2D30, symBinAddr: 0x46D0, symSize: 0x160 }
  - { offsetInCU: 0xB579, offset: 0xB579, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x7010, symBinAddr: 0x6120, symSize: 0xB0 }
  - { offsetInCU: 0xB5F0, offset: 0xB5F0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x2930, symBinAddr: 0x4660, symSize: 0x70 }
  - { offsetInCU: 0xB6C4, offset: 0xB6C4, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x4E20, symBinAddr: 0x4DE0, symSize: 0x150 }
  - { offsetInCU: 0xB914, offset: 0xB914, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x37A0, symBinAddr: 0x4830, symSize: 0xA0 }
  - { offsetInCU: 0xBA63, offset: 0xBA63, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x44B0, symBinAddr: 0x48D0, symSize: 0x100 }
  - { offsetInCU: 0xBB56, offset: 0xBB56, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x4870, symBinAddr: 0x4B00, symSize: 0xC0 }
  - { offsetInCU: 0xBD61, offset: 0xBD61, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x59F0, symBinAddr: 0x53D0, symSize: 0xA0 }
  - { offsetInCU: 0xBE30, offset: 0xBE30, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x5D60, symBinAddr: 0x5470, symSize: 0x20 }
  - { offsetInCU: 0xBE67, offset: 0xBE67, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x5D80, symBinAddr: 0x5490, symSize: 0x20 }
  - { offsetInCU: 0xBE9E, offset: 0xBE9E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x5DA0, symBinAddr: 0x54B0, symSize: 0x20 }
  - { offsetInCU: 0xBF4D, offset: 0xBF4D, size: 0x8, addend: 0x0, symName: _copyFromJString, symObjAddr: 0x6230, symBinAddr: 0x54D0, symSize: 0xF0 }
  - { offsetInCU: 0xC1AA, offset: 0xC1AA, size: 0x8, addend: 0x0, symName: _getMethodName, symObjAddr: 0x6320, symBinAddr: 0x55C0, symSize: 0x2F0 }
  - { offsetInCU: 0xC5A9, offset: 0xC5A9, size: 0x8, addend: 0x0, symName: __ZN13JvmtiResourceD1Ev, symObjAddr: 0x6610, symBinAddr: 0x58B0, symSize: 0x80 }
  - { offsetInCU: 0xC64B, offset: 0xC64B, size: 0x8, addend: 0x0, symName: _locationToString, symObjAddr: 0x6690, symBinAddr: 0x5930, symSize: 0xC0 }
  - { offsetInCU: 0xC6F3, offset: 0xC6F3, size: 0x8, addend: 0x0, symName: _Java_vm_mlvm_indy_func_jvmti_stepBreakPopReturn_INDIFY_1Test_setDebuggeeMethodName, symObjAddr: 0x68E0, symBinAddr: 0x59F0, symSize: 0x40 }
  - { offsetInCU: 0xC766, offset: 0xC766, size: 0x8, addend: 0x0, symName: _Java_vm_mlvm_indy_func_jvmti_stepBreakPopReturn_INDIFY_1Test_setDebuggeeClassName, symObjAddr: 0x6920, symBinAddr: 0x5A30, symSize: 0x40 }
  - { offsetInCU: 0xC7D9, offset: 0xC7D9, size: 0x8, addend: 0x0, symName: _Java_vm_mlvm_indy_func_jvmti_stepBreakPopReturn_INDIFY_1Test_checkStatus, symObjAddr: 0x6960, symBinAddr: 0x5A70, symSize: 0xE0 }
  - { offsetInCU: 0xC88D, offset: 0xC88D, size: 0x8, addend: 0x0, symName: __ZL11MethodEntryP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodID, symObjAddr: 0x6A40, symBinAddr: 0x5B50, symSize: 0x120 }
  - { offsetInCU: 0xC9E5, offset: 0xC9E5, size: 0x8, addend: 0x0, symName: __ZL10SingleStepP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDl, symObjAddr: 0x6B60, symBinAddr: 0x5C70, symSize: 0x2F0 }
  - { offsetInCU: 0xCE03, offset: 0xCE03, size: 0x8, addend: 0x0, symName: __ZL10BreakpointP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDl, symObjAddr: 0x6E50, symBinAddr: 0x5F60, symSize: 0x1C0 }
  - { offsetInCU: 0xD0B5, offset: 0xD0B5, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x70C0, symBinAddr: 0x61D0, symSize: 0x370 }
...
